Name:           pam_usb
Version:        0.5.0
%global commit0 b96b4f79f7a579b2445a149d3b382c16a6d04324
Release:        1%{?dist}
Summary:        Hardware authentication for Linux using ordinary USB Flash Drives
Group:          System Environment/Base

License:        GPLv2
URL:            https://github.com/aluzzardi/pam_usb
Source0: https://github.com/aluzzardi/%{name}/archive/%{commit0}.tar.gz
# This patch modify the installation paths 
Patch0:         pam_usb-paths.patch
# This patch replace the old FSF address
Patch1:         pam_usb-fsf-address.patch
BuildRequires:  pam-devel pkgconfig(dbus-1) pkgconfig(libxml-2.0)
Requires:       pam udisks pmount 

%description
pam_usb provides hardware authentication for Linux 
using ordinary USB Flash Drives.
It works with any application supporting PAM, such 
as su and login managers (GDM, KDM).
Features:
-Password-less authentication. Use your USB stick 
for authentication, don't type passwords anymore.
-Device auto probing. You don't need to mount the 
device, or even to configure the device location 
(sda1, sdb1, etc). pam_usb.so will automatically 
locate the device using UDisks and access its data 
by itself.
-Two-factor authentication. Achieve greater security 
by requiring both the USB stick and the password to 
authenticate the user.
-Non-intrusive. pam_usb doesn't require any modifications 
of the USB storage device to work (no additional 
partitions required).
-USB Serial number, model and vendor verification.
-Support for One Time Pads authentication.
-You can use the same device across multiple machines.
-Support for all kind of removable devices (SD, MMC, etc).

%prep
%setup -qn %{name}-%{commit0}    
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}


%install
%make_install


%files
%{_bindir}/pamusb*
%{_mandir}/man1/pamusb*
%config(noreplace) %{_sysconfdir}/security/pamusb*
/%{_lib}/security/%{name}*
%doc  %{_docdir}/%{name}
%license COPYING



%changelog
* Sun Jan  3 2016 Francisco J. Tsao Santín <tsao@gpul.org> - 0.5.0-1
- Initial version of the package
